--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: A Plugin is a BotModule that provides additional functionality.
- !ruby/struct:SM::Flow::P 
  body: A user-defined plugin should subclass this, and then define any of the methods described in the documentation for BotModule to handle interaction with Irc events.
constants: []

full_name: Irc::Bot::Plugins::Plugin
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: botmodule_class
name: Plugin
superclass: BotModule
